Bug 101313 - Copy-paste a Table With Merged Cells: Loss of formatting (Cells Placed in Wrong Position)
Summary: Copy-paste a Table With Merged Cells: Loss of formatting (Cells Placed in Wro...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Paste Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2016-08-05 01:38 UTC by Kevin Suo
Modified: 2020-08-11 22:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
this ODT file contains simple tables to reproduce this issue (14.95 KB, application/vnd.oasis.opendocument.text)
2016-08-05 01:38 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2016-08-05 01:38:55 UTC
Created attachment 126603 [details]
this ODT file contains simple tables to reproduce this issue

The attached ODT file contains a simple table, in which cell "f" is a merged cell.

When copy-paste the table in a Calc file (as formatted RFT text), the cells are placed in wrong position.

It is noted that it works OK when the merged cell is in the first column.

Version: 5.3.0.0.alpha0+
Build ID: 9dc3356f1499a2b90078be86ca7470eb2e96aba8
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-07-21_23:52:45
Locale: zh-CN (zh_CN); Calc: group

Version: 5.2.0.3 (x64)
Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: zh-CN (zh_CN)

This issue was initially reported in the LibreOffice Chinese Forum: http://www.libreofficechina.org/thread-1542-1-1.html
Comment 1 jmxhyz 2016-08-06 05:34:01 UTC
reproduce:
OS: xubuntu 16.04(x64)
LO: Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
Locale: zh-CN (zh_CN.UTF-8)
Comment 2 Kevin Suo 2017-01-09 04:03:22 UTC
bibisect-release bibisect results suggests that the bug started from libreoffice-4.0.0.0.beta1. Added keyword "regression".

4f2186cd72652db35eebe5b1b9d3693723433b85 is the first bad commit
commit 4f2186cd72652db35eebe5b1b9d3693723433b85
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Tue Apr 14 22:40:46 2015 +0800

    libreoffice-4.0.0.0.beta1
    
    LibO-Dev_4.0.0.0.beta1_Linux_x86-64_install-deb_en-US.tar.gz

:040000 040000 e6812e3e351d23e270d6424988196d6208d95b5d 34c7fa1c93970d74dd4dc1bd5706704ffb0b0a9e M	opt

git bisect log
# bad: [e992b5c0217fbbfaed351e4898b8c751ae2fe90e] libreoffice-4.4.7.2
# good: [52afdea50650697a791234f22d2cf2147498b06e] libreoffice-3.3.0
git bisect start 'libreoffice-4.4.7.2' 'libreoffice-3.3.0'
# bad: [33d0c0cac4bfc14221f2a665735e125f446f3251] libreoffice-4.1.3.2
git bisect bad 33d0c0cac4bfc14221f2a665735e125f446f3251
# bad: [4f2186cd72652db35eebe5b1b9d3693723433b85] libreoffice-4.0.0.0.beta1
git bisect bad 4f2186cd72652db35eebe5b1b9d3693723433b85
# good: [4a9bc438d62f90e8bf687683d854c3a044397505] libreoffice-3.5.3rc2
git bisect good 4a9bc438d62f90e8bf687683d854c3a044397505
# good: [ac15b75361b54e9d29f2ed9e3203b731fd0a0d29] libreoffice-3.6.2.2
git bisect good ac15b75361b54e9d29f2ed9e3203b731fd0a0d29
# good: [f4b2466b27f7d7d13b71213a534a8f01dfa1805b] libreoffice-3.6.6.1
git bisect good f4b2466b27f7d7d13b71213a534a8f01dfa1805b
# good: [208dc7bb206c4f313021c2fb045b165638921b9e] libreoffice-3.6.7.1
git bisect good 208dc7bb206c4f313021c2fb045b165638921b9e
# good: [2ba8a27cc4f9f01e531e73760f6c3f6505999be5] libreoffice-3.6.7.2
git bisect good 2ba8a27cc4f9f01e531e73760f6c3f6505999be5
# first bad commit: [4f2186cd72652db35eebe5b1b9d3693723433b85] libreoffice-4.0.0.0.beta1
Comment 3 Kevin Suo 2017-01-09 04:10:23 UTC
Added another "bibisectRequest" keyword, we need someone with the old "43all" bibisect repo to narrow down the range.
Comment 4 Aron Budea 2017-01-22 05:49:58 UTC Comment hidden (bibisection)
Comment 5 Aron Budea 2017-01-22 05:51:17 UTC
This is the range of commits resulting from bibisect with bibisect-43all:
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=50b4cbe94e200288d57a135bc9386012164bc726..27d3fc221d042decbd84b72719107547562d2e12
Comment 6 QA Administrators 2018-11-25 03:40:40 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2018-11-25 18:48:34 UTC
still repro in 

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 8 Kevin Suo 2020-02-01 16:07:13 UTC
Bug still exists in version

版本: 7.0.0.0.alpha0+
Build ID: 0a6ec034dc8088d9de399142bb193ae7d338e645
CPU 线程: 4; 操作系统: Linux 5.4; UI 渲染: 默认; VCL: gtk3; 
区域语言: zh-CN (zh_CN.UTF-8); UI 语言: zh-CN
Calc: threaded
Fedora 31 x64.
Comment 9 stragu 2020-08-11 22:03:27 UTC
reproducible in:

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded